Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/ChangeLog	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,2 +1,37 @@
+2004-11-02	Ralf Corsepius <ralf_corsepiu@rtems.org>
+
+	* rtems/include/rtems.h,
+	rtems/include/rtems/rtems/asr.h,
+	rtems/include/rtems/rtems/attr.h,
+	rtems/include/rtems/rtems/cache.h,
+	rtems/include/rtems/rtems/clock.h,
+	rtems/include/rtems/rtems/config.h,
+	rtems/include/rtems/rtems/dpmem.h,
+	rtems/include/rtems/rtems/event.h,
+	rtems/include/rtems/rtems/eventmp.h,
+	rtems/include/rtems/rtems/eventset.h,
+	rtems/include/rtems/rtems/intr.h,
+	rtems/include/rtems/rtems/message.h,
+	rtems/include/rtems/rtems/modes.h,
+	rtems/include/rtems/rtems/mp.h,
+	rtems/include/rtems/rtems/msgmp.h,
+	rtems/include/rtems/rtems/options.h,
+	rtems/include/rtems/rtems/part.h,
+	rtems/include/rtems/rtems/partmp.h,
+	rtems/include/rtems/rtems/ratemon.h,
+	rtems/include/rtems/rtems/region.h,
+	rtems/include/rtems/rtems/regionmp.h,
+	rtems/include/rtems/rtems/rtemsapi.h,
+	rtems/include/rtems/rtems/sem.h,
+	rtems/include/rtems/rtems/semmp.h,
+	rtems/include/rtems/rtems/signal.h,
+	rtems/include/rtems/rtems/signalmp.h,
+	rtems/include/rtems/rtems/status.h,
+	rtems/include/rtems/rtems/support.h,
+	rtems/include/rtems/rtems/taskmp.h,
+	rtems/include/rtems/rtems/tasks.h,
+	rtems/include/rtems/rtems/timer.h,
+	rtems/include/rtems/rtems/types.h: Add doxygen preamble.
+
 2004-11-01	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/rtems/include/rtems/rtems/asr.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/asr.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/asr.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  asr.h
- *
+/**
+ * @file rtems/rtems/asr.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Asynchronous Signal Handler.  This Handler provides the low-level
Index: cpukit/rtems/include/rtems/rtems/attr.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/attr.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/attr.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  attr.h
- *
+/**
+ * @file rtems/rtems/attr.h
+ */
+
+/*
  *  This include file contains all information about the Object Attributes
  *  Handler.
Index: cpukit/rtems/include/rtems/rtems/cache.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/cache.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/cache.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  cache.h
- *
+/**
+ * @file rtems/rtems/cache.h
+ */
+
+/*
  *  Cache Manager
  *
Index: cpukit/rtems/include/rtems/rtems/clock.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/clock.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/clock.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  clock.h
- *
+/**
+ * @file rtems/rtems/clock.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Clock Manager.  This manager provides facilities to set, obtain,
Index: cpukit/rtems/include/rtems/rtems/config.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/config.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/config.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  config.h
- *
+/**
+ * @file rtems/rtems/config.h
+ */
+
+/*
  *  This include file contains the table of user defined configuration
  *  parameters specific for the RTEMS API.
Index: cpukit/rtems/include/rtems/rtems/dpmem.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/dpmem.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/dpmem.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  dpmem.h
- *
+/**
+ * @file rtems/rtems/dpmem.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Dual Ported Memory Manager. This manager provides a mechanism
Index: cpukit/rtems/include/rtems/rtems/event.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/event.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/event.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  event.h
- *
+/**
+ * @file rtems/rtems/event.h
+ */
+
+/*
  *  This include file contains the information pertaining to the Event
  *  Manager.  This manager provides a high performance method of communication
Index: cpukit/rtems/include/rtems/rtems/eventmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/eventmp.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/eventmp.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  eventmp.h
- *
+/**
+ * @file rtems/rtems/eventmp.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Multiprocessing Support in the Event Manager.
Index: cpukit/rtems/include/rtems/rtems/eventset.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/eventset.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/eventset.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  eventset.h
- *
+/**
+ * @file rtems/rtems/eventset.h
+ */
+
+/*
  *  This include file contains the information pertaining to the
  *  Event Sets Handler.  This handler provides methods for the manipulation
Index: cpukit/rtems/include/rtems/rtems/intr.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/intr.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/intr.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  intr.h
- *
+/**
+ * @file rtems/rtems/intr.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Interrupt Manager.
Index: cpukit/rtems/include/rtems/rtems/message.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/message.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/message.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  message.h
- *
+/**
+ * @file rtems/rtems/message.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Message Queue Manager.  This manager provides a mechanism for
@@ -38,5 +41,4 @@
 #include <rtems/score/object.h>
 #include <rtems/rtems/attr.h>
-#include <rtems/score/threadq.h>
 #include <rtems/score/coremsg.h>
 
Index: cpukit/rtems/include/rtems/rtems/modes.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/modes.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/modes.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  modes.h
- *
+/**
+ * @file rtems/rtems/modes.h
+ */
+
+/*
  *  This include file contains all constants and structures associated
  *  with the RTEMS thread and RTEMS_ASR modes.
Index: cpukit/rtems/include/rtems/rtems/mp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/mp.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/mp.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  mp.h
- *
+/**
+ * @file rtems/rtems/mp.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Multiprocessing Manager.
Index: cpukit/rtems/include/rtems/rtems/msgmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/msgmp.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/msgmp.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  msgmp.h
- *
+/**
+ * @file rtems/rtems/msgmp.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Multiprocessing Support in the Message Manager.
Index: cpukit/rtems/include/rtems/rtems/options.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/options.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/options.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  options.h
- *
+/**
+ * @file rtems/rtems/options.h
+ */
+
+/*
  *  This include file contains information which defines the
  *  options available on many directives.
Index: cpukit/rtems/include/rtems/rtems/part.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/part.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/part.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  partition.h
- *
+/**
+ * @file rtems/rtems/part.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Partition Manager.  This manager provides facilities to
Index: cpukit/rtems/include/rtems/rtems/partmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/partmp.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/partmp.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  partmp.h
- *
+/**
+ * @file rtems/rtems/partmp.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Multiprocessing Support in the Partition Manager.
Index: cpukit/rtems/include/rtems/rtems/ratemon.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/ratemon.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/ratemon.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  ratemon.h
- *
+/**
+ * @file rtems/rtems/ratemon.h
+ */
+
+/*
  *  This include file contains all the constants, structures, and
  *  prototypes associated with the Rate Monotonic Manager.  This manager
Index: cpukit/rtems/include/rtems/rtems/region.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/region.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/region.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  region.h
- *
+/**
+ * @file rtems/rtems/region.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Region Manager.  This manager provides facilities to dynamically
Index: cpukit/rtems/include/rtems/rtems/regionmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/regionmp.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/regionmp.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  regionmp.h
- *
+/**
+ * @file rtems/rtems/regionmp.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Multiprocessing Support in the Region Manager.
Index: cpukit/rtems/include/rtems/rtems/rtemsapi.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/rtemsapi.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/rtemsapi.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,6 +1,8 @@
+/**
+ * @file rtems/rtems/rtemsapi.h
+ */
+
 /*
  *  RTEMS API Support
- *
- *  NOTE:
  *
  *  COPYRIGHT (c) 1989-1999.
Index: cpukit/rtems/include/rtems/rtems/sem.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/sem.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/sem.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  semaphore.h
- *
+/**
+ * @file rtems/rtems/sem.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Semaphore Manager.  This manager utilizes standard Dijkstra
@@ -38,5 +41,4 @@
 #include <rtems/score/object.h>
 #include <rtems/score/coresem.h>
-#include <rtems/score/threadq.h>
 
 /*
Index: cpukit/rtems/include/rtems/rtems/semmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/semmp.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/semmp.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  semmp.h
- *
+/**
+ * @file rtems/rtems/semmp.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Multiprocessing Support in the Semaphore Manager.
Index: cpukit/rtems/include/rtems/rtems/signal.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/signal.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/signal.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  signal.h
- *
+/**
+ * @file rtems/rtems/signal.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Signal Manager.   This manager provides capabilities required
Index: cpukit/rtems/include/rtems/rtems/signalmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/signalmp.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/signalmp.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  signalmp.h
- *
+/**
+ * @file rtems/rtems/signalmp.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the Multiprocessing Support in the Signal Manager.
Index: cpukit/rtems/include/rtems/rtems/status.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/status.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/status.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  status.h
- *
+/**
+ * @file rtems/rtems/status.h
+ */
+
+/*
  *  This include file contains the status codes returned from the
  *  executive directives.
Index: cpukit/rtems/include/rtems/rtems/support.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/support.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/support.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  support.h
- *
+/**
+ * @file rtems/rtems/support.h
+ */
+
+/*
  *  This include file contains information about support functions for
  *  the RTEMS API.
Index: cpukit/rtems/include/rtems/rtems/taskmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/taskmp.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/taskmp.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  taskmp.h
- *
+/**
+ * @file rtems/rtems/taskmp.h
+ */
+
+/*
  *  This include file contains all the constants and structures associated
  *  with the multiprocessing support in the task manager.
Index: cpukit/rtems/include/rtems/rtems/tasks.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/tasks.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/tasks.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  tasks.h
- *
+/**
+ * @file rtems/rtems/tasks.h
+ */
+
+/*
  *  This include file contains all constants and structures associated
  *  with RTEMS tasks.  This manager provides a comprehensive set of directives
Index: cpukit/rtems/include/rtems/rtems/timer.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/timer.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/timer.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  timer.h
- *
+/**
+ * @file rtems/rtems/timer.h
+ */
+
+/*
  *  This include file contains all the constants, structures, and
  *  prototypes associated with the Timer Manager.  This manager provides
Index: cpukit/rtems/include/rtems/rtems/types.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/types.h	(revision 160965c97f486ba4ef3f86dface7516dda31bf1f)
+++ cpukit/rtems/include/rtems/rtems/types.h	(revision 4b48736344336a4c93d7f524730e7ac696c30b6f)
@@ -1,4 +1,7 @@
-/*  types.h
- *
+/**
+ * @file rtems/rtems/types.h
+ */
+
+/*
  *  This include file defines the types used by the RTEMS API.
  *
